Page MenuHomeFreeBSD

New port: math/ambit: C++ library for tensor product calculations
ClosedPublic

Authored by yuri on Nov 13 2017, 2:17 AM.

Details

Summary

Needed to support the psi4 quantum chemistry package

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Nov 13 2017, 2:17 AM

Good morning :)

It does not like 10.3:

-- Could NOT find OpenMP_C (missing: OpenMP_C_FLAGS OpenMP_C_LIB_NAMES) (found version "1.0")
-- Could NOT find OpenMP_CXX (missing: OpenMP_CXX_FLAGS OpenMP_CXX_LIB_NAMES) (found version "1.0")
CMake Error at cmake/custom_cxxstandard.cmake:52 (message):
  CLANG version must be at least 3.6!
Call Stack (most recent call first):
  CMakeLists.txt:74 (include)


-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/math/ambit/work/.build/CMakeFiles/CMakeOutput.log".
See also "/wrkdirs/usr/ports/math/ambit/work/.build/CMakeFiles/CMakeError.log".
*** Error code 1
yuri updated this revision to Diff 35250.Nov 14 2017, 6:54 PM

Fixed the clang version for 10.

tcberner added inline comments.Nov 16 2017, 8:46 PM
math/ambit/Makefile
30 ↗(On Diff #35250)

^ I'm not sure whether hard-depending on one version of clang is a great idea as they get dropped eventually.

tcberner added inline comments.Nov 16 2017, 8:48 PM
math/ambit/Makefile
26 ↗(On Diff #35250)

^ I think using <bsd.port.pre.mk> (and <bsd.port.post.mk> at the bottom) would be more proper than using <bsd.options.mk>, as you are really not using any option specific stuff here.

https://www.freebsd.org/doc/en/books/porters-handbook/dads-after-port-mk.html

yuri marked 2 inline comments as done.Nov 16 2017, 9:40 PM
yuri added inline comments.
math/ambit/Makefile
30 ↗(On Diff #35250)

I am not sure how this can be solved. Eventually, every specific version will be dropped.

The right way would have been having USES=compiler:clang>3.6.

This already came up before, without a clear solution.

yuri updated this revision to Diff 35350.Nov 16 2017, 9:54 PM
yuri marked an inline comment as done.

Updated .include to pre/post
Added OPEN_MP=OFF because it can't be found

yuri marked an inline comment as done.Nov 18 2017, 6:24 PM
tcberner requested changes to this revision.Nov 18 2017, 9:42 PM
tcberner added inline comments.
math/ambit/Makefile
32 ↗(On Diff #35350)

^ you need += here. After including bsd.pre.mk BUILD_DEPENDS already contains cmake:devel/cmake from the USES=cmake line. Which you override here :)

So this port will fail to configure on FreeBSD < 11, as cmake is not installed.

root@103amd32-yuri:/usr/ports/math/ambit # make -VBUILD_DEPENDS
clang38:lang/clang38 /usr/local/bin/ccache:devel/ccache
This revision now requires changes to proceed.Nov 18 2017, 9:42 PM
yuri updated this revision to Diff 35438.Nov 18 2017, 9:44 PM

Replaced = with += as requested.

yuri marked an inline comment as done.Nov 18 2017, 9:45 PM
yuri added inline comments.
math/ambit/Makefile
32 ↗(On Diff #35350)

Thanks for catching this!

This revision is now accepted and ready to land.Nov 18 2017, 9:52 PM
This revision was automatically updated to reflect the committed changes.
yuri marked an inline comment as done.